<?php

namespace Canope\PreacBundle\Controller;

use Canope\PreacBundle\Entity\Auteur;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;

/**
 * Auteur controller
 *
 * @Route("auteur")
 */
class AuteurController extends Controller
{
	/**
	 * Lists all auteur entities
	 *
	 * @Route("/", name="auteur_index")
	 * @Method("GET")
	 */
	public function indexAction()
	{
		$em = $this->getDoctrine()->getManager();

		$auteurs = $em->getRepository('CanopePreacBundle:Auteur')->findAll();

		return $this->render('CanopePreacBundle::auteur/index.html.twig', array(
			'auteurs' => $auteurs,
		));
	}

	/**
	 * Creates a new auteur entity
	 *
	 * @Route("/new", name="auteur_new")
	 * @Method({"GET", "POST"})
	 */
	public function newAction(Request $request)
	{
		$auteur = new Auteur();

		$form = $this->createForm('Canope\PreacBundle\Form\AuteurType', $auteur);
		$form->handleRequest($request);

		if ($form->isSubmitted() && $form->isValid()) {
			$em = $this->getDoctrine()->getManager();
			$em->persist($auteur);
			$em->flush($auteur);

			return $this->redirectToRoute('auteur_show', array('id' => $auteur->getId()));
		}

		return $this->render('CanopePreacBundle::auteur/new.html.twig', array(
			'auteur' => $auteur,
			'form' => $form->createView(),
		));
	}

	/**
	 * Finds and displays a auteur entity
	 *
	 * @Route("/{id}", name="auteur_show")
	 * @Method("GET")
	 */
	public function showAction(Auteur $auteur)
	{
		return $this->render('CanopePreacBundle::auteur/show.html.twig', array(
			'auteur' => $auteur,
		));
	}

	/**
	 * Displays a form to edit an existing auteur entity
	 *
	 * @Route("/{id}/edit", name="auteur_edit")
	 * @Method({"GET", "POST"})
	 */
	public function editAction(Request $request, Auteur $auteur)
	{
		$editForm = $this->createForm('Canope\PreacBundle\Form\AuteurType', $auteur);
		$editForm->handleRequest($request);

		if ($editForm->isSubmitted() && $editForm->isValid()) {
			$this->getDoctrine()->getManager()->flush();

			return $this->redirectToRoute('auteur_show', array('id' => $auteur->getId()));
		}

		return $this->render('CanopePreacBundle::auteur/edit.html.twig', array(
			'auteur' => $auteur,
			'edit_form' => $editForm->createView(),
		));
	}

	/**
	 * Displays a form to delete an existing auteur entity
	 *
	 * @Route("/{id}/delete", name="auteur_delete")
	 * @Method({"GET", "POST", "DELETE"})
	 */
	public function deleteAction(Request $request, Auteur $auteur)
	{
		$deleteForm = $this->createForm('Canope\PreacBundle\Form\AuteurType', $auteur);
		$deleteForm->handleRequest($request);

		if ($deleteForm->isSubmitted() && $deleteForm->isValid()) {
			$em = $this->getDoctrine()->getManager();
			$em->remove($auteur);
			$em->flush($auteur);

			return $this->redirectToRoute('auteur_index');
		}

		return $this->render('CanopePreacBundle::auteur/delete.html.twig', array(
			'auteur' => $auteur,
			'delete_form' => $deleteForm->createView(),
		));
	}

}
